Page MenuHomePhabricator

Disruptive: Display title ... was ignored since it is not equivalent to the page's actual title
Closed, ResolvedPublic

Description

This system message:

Display title ... was ignored since it is not equivalent to the page's actual title.

is disruptive and should be fixed/deactivated as soon as possible. As the code of the system message is added on the same row as the first row of the article content, it breaks the infobox/table as that always should start on the first position of a line.

Second, also this kind of messages are not suitable to the general public, and should not be shown to them. Like with other messages (like Pages using duplicate arguments in template calls) the message is shown only with editing.

Third, as there is no tracking category implemented, it is not possible to know where this code issue is present and message is shown and where to fix.

Examples:
https://nl.wikipedia.org/w/index.php?title=Reuzenaronskelk&oldid=46383542
https://nl.wikipedia.org/w/index.php?title=Japanse_ansjovis&oldid=46753489
https://nl.wikipedia.org/w/index.php?title=Noordelijke_rotspingu%C3%AFn&oldid=45941195
etc

Event Timeline

Romaine created this task.May 22 2016, 4:50 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 22 2016, 4:50 PM
Romaine updated the task description. (Show Details)May 22 2016, 4:52 PM
Romaine updated the task description. (Show Details)May 22 2016, 4:55 PM

Change 290071 had a related patch set uploaded (by Glaisher):
Add pages with ignored restricted {{DISPLAYTITLE}}s to a tracking category

https://gerrit.wikimedia.org/r/290071

Change 290073 had a related patch set uploaded (by Glaisher):
Show ParserOutput warning instead of on the actual page output for ignored display titles

https://gerrit.wikimedia.org/r/290073

IKhitron added a subscriber: IKhitron.EditedMay 22 2016, 5:48 PM

Come on. It's brilliant. I waited for this a lot of time. And what do you mean in "there is no tracking category implemented, it is not possible to know where this code issue is present"??? Add the tracking category to MediaWiki message, as I did. There was a lot of pages there, something awful. I fixed almost all, 3 left: category. Don't ask to remove good feature with no reason, please.

Come on. It's brilliant. I waited for this a lot of time.

The idea is fine, the execution is not done in a proper way. If you have seen they links I gave, it is clear that it is not yet brilliant.

And what do you mean in "there is no tracking category implemented, it is not possible to know where this code issue is present"??? Add the tracking category to MediaWiki message, as I did. There was a lot of pages there, something awful. I fixed almost all, 3 left: category. Don't ask to remove good future with no reason, please.

Please be aware that I did not say "remove". As long as it breaks infoboxes, it should be deactivated. Second I would like to see a decent overview of catagories of system messages, as they are shown in Special:TrackingCategories. And again, please do not show is to every reader of an article. They do not understand the meaning of it. Also on nl-wiki there is a huge dislike of messages of what is wrong while reading an article.

This task is a request to improve this system message in a mature one, similar to the series of other system messages, with on a new line, during editing and with category,

IKhitron added a comment.EditedMay 22 2016, 6:03 PM

Ok. First of all, the readers are not so stupid. They will understand it for sure. Second of all, if it erases infoboxes in you wiki, do not ask to disactivate it in all wikis, please try first to empty it and leave just a tracking category in MediaWiki message of your wiki. If infoboxes will be still broken (I dopn't think so, but it's possible), please try to fix them, and only after you see it's impossible ask deactivacting to all wikis, taking from the readers a good feature. And even then you can ask to convert them to indicator first.

Ok. First of all, the readers are not so stupid. They will understand it for sure.

So stupid? Nobody have said that they are stupid. And I do not like it that you frame them that way. And 99.99% will not understand as the real situation. You perhaps understand it, but locally on nl-wiki also editors do not get it. Your claim here is bogus. Sorry.

Second of all, if it erases infoboxes in you wiki, do not ask to disactivate it in all wikis, please try first to empty it and leave just a tracking category in MediaWiki message of your wiki. If infoboxes will be still broken (I dopn't think so, but it's possible), please try to fix them, and only after you see it's impossible ask deactivacting to all wikis, taking from the readers a good feature. And even then you can ask to convert them to indicator first.

It is not in "my" wiki, it happens in any wiki where this is the case. This is a clear bug in the system message. Suggesting that I should try to empty a system message is a wrong advice. I understand that you like this system message, but please do nog give false advice.

Finally: please do not assume things. All the things I asked I already checked!
Your responses here do not help to solve the problem in the multiple wikis where this occurs.

TheDJ added a subscriber: TheDJ.EditedMay 22 2016, 8:25 PM

Add the tracking category to MediaWiki message, as I did.

BTW. it would be really good if someone converted the tracking category to a default feature, instead of having it in a MediaWiki message.

[edit] Oh, i see the patch higher up in the discussion now... good !

OK. I don't know how did you try this all before and did not mention it, but nevermind. Try something much better: add br tag at the end of the message. I tried it now, and it works. You can even ask changing the message text (by adding this tag) in place of shutting it down. If you would try all, as you just said, you would see this works.

Change 290071 merged by jenkins-bot:
Add pages with ignored restricted {{DISPLAYTITLE}}s to a tracking category

https://gerrit.wikimedia.org/r/290071

Well, @Romaine, I gave you a ready solution and I'm surprised you did not used it. @Nemo_bis, try it, it's good.

Well, @Romaine, I gave you a ready solution and I'm surprised you did not used it. @Nemo_bis, try it, it's good.

It is not a solution, but a way to ignore the problem. That is not good.

IKhitron added a comment.EditedMay 24 2016, 10:48 AM

This is not a permanent solution, @Romaine, but it will fix all such bugs in your wiki, so I think it should be done for now. But if you do not want to fix them... The permanent solution should be the same at gerrit level - adding newline after the message was shown, this will fix it on all wikis.

This is not a permanent solution, @Romaine, but it will fix all such bugs in your wiki,

If you mean your suggestion to change the system message, no, it doesn't: T50956.

Why not, @Nemo_bis? It helps in my wiki.

I already provided the answer to your question.

Where, @Nemo_bis? I did not understand.

eranroz removed a subscriber: eranroz.May 24 2016, 4:30 PM
MKar added a subscriber: MKar.May 28 2016, 4:03 AM
Bawolff closed this task as Resolved.Jun 2 2016, 9:18 PM
Bawolff assigned this task to Glaisher.
Bawolff added a subscriber: Bawolff.

@Romaine So the patch to make the warning only show on preview is merged. How urgently is this breaking things - is it fine to wait for this to be deployed in the normal fashion (on June 8/9), or is this urgent enough it should be deployed earlier?

Great idea, thanks.

Change 290073 merged by jenkins-bot:
Show ParserOutput warning instead of on the actual page output for ignored display titles

https://gerrit.wikimedia.org/r/290073

Ltrlg added a subscriber: Ltrlg.Jun 7 2016, 6:02 AM